//Source file: Constants.java
//Date: March 2007
//Terminal Capability Interfaces and Data Types for 3GPP TS 29.198-07 V7.0.0

package org.csapi.jr.se.termcap;

/**
 * This interface contains constants not associated with any type, but associated with the package org.csapi.jr.se.termcap
 *
 */
public interface Constants {

    /**
     * Undefined
     */
    public static final int TERMINAL_CAPABILITY_CHANGE_CRITERIA_UNDEFINED = 0;

    /**
     * Any change in the terminal capabilities.
     */
    public static final int TERMINAL_CAPABILITY_CHANGE_CRITERIA_GENERAL = 1;

    /**
     * The terminal device hardware has been modified or replaced completely.
     */
    public static final int TERMINAL_CAPABILITY_CHANGE_CRITERIA_HW_UPDATE = 2;

    /**
     * The software of the terminal has been updated in any way. Also changes in configuration or preferences may be concerned.
     */
    public static final int TERMINAL_CAPABILITY_CHANGE_CRITERIA_SW_UPDATE = 4;

    /**
     * The initial device capabilities reported when monitoring has been started by an application. 
     */
    public static final int TERMINAL_CAPABILITY_CHANGE_CRITERIA_INITIAL = 8;

} // org.csapi.jr.se.termcap.Constants
