//Source file: ExtendedTerminalCapabilities.java
//Date: March 2007
//Terminal Capability Interfaces and Data Types for 3GPP TS 29.198-07 V7.0.0

package org.csapi.jr.se.termcap;

/**
 * This interface represents a ExtendedTerminalCapabilities.<BR>
 *
 */
public interface ExtendedTerminalCapabilities extends org.csapi.jr.se.Service {

    /**
     * Adds a ExtendedTerminalCapabilitiesListener which is interested in events generated by the ExtendedTerminalCapabilities.
     *
     * @param  extendedTerminalCapabilitiesListener  A reference to the ExtendedTerminalCapabilitiesListener which is to be added as
     *         a listener.
     */
    void addExtendedTerminalCapabilitiesListener(org.csapi.jr.se.termcap.ExtendedTerminalCapabilitiesListener extendedTerminalCapabilitiesListener);

    /**
     * Removes a ExtendedTerminalCapabilitiesListener which is no longer interested in events generated by the ExtendedTerminalCapabilities.
     *
     * @param  extendedTerminalCapabilitiesListener  A reference to the ExtendedTerminalCapabilitiesListener which is to be removed as
     *         a listener.
     */
    void removeExtendedTerminalCapabilitiesListener(org.csapi.jr.se.termcap.ExtendedTerminalCapabilitiesListener extendedTerminalCapabilitiesListener);

    /**
     * Creates a TriggeredTerminalCapability object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the TriggeredTerminalCapability interface.
     */
    org.csapi.jr.se.termcap.TriggeredTerminalCapability createTriggeredTerminalCapability();

}
