//Source file: TerminalCapabilityScope.java
//Date: March 2007
//Terminal Capability Interfaces and Data Types for 3GPP TS 29.198-07 V7.0.0

package org.csapi.jr.se.termcap;

/**
 * Defines the Sequence of Data Elements that specify the scope of the terminal capabilities.
 * 
 */
public final class TerminalCapabilityScope implements java.io.Serializable {

    private org.csapi.jr.se.termcap.TerminalCapabilityScopeType scopeType;
    private String scope;

    /**
     * Creates a new TerminalCapabilityScope instance.
     */
    public TerminalCapabilityScope () {}

    /**
     * Creates a new TerminalCapabilityScope instance.
     * @param _scopeType   
     * @param _scope   
     */
    public TerminalCapabilityScope (org.csapi.jr.se.termcap.TerminalCapabilityScopeType _scopeType, String _scope) {

        this.scopeType = _scopeType;
        this.scope = _scope;
    }

    /**
     * This method returns a scopeType.
     * 
     * @return a org.csapi.jr.se.termcap.TerminalCapabilityScopeType value
     */
    public org.csapi.jr.se.termcap.TerminalCapabilityScopeType getScopeType() {
        return scopeType;
    }

    /**
     * This method returns a scope.
     * 
     * @return a String value
     */
    public String getScope() {
        return scope;
    }


    /**
     * This method sets a scopeType.
     */ 
    public void setScopeType(org.csapi.jr.se.termcap.TerminalCapabilityScopeType scopeType) {
        this.scopeType = scopeType;
    }

    /**
     * This method sets a scope.
     */ 
    public void setScope(String scope) {
        this.scope = scope;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof TerminalCapabilityScope)) {
            return false;
        } 
        TerminalCapabilityScope terminalCapabilityScope = (TerminalCapabilityScope) o;
        if ((this.scopeType != null) && (terminalCapabilityScope.scopeType != null)) {
            if(!(this.scopeType.equals(terminalCapabilityScope.scopeType))) {
                return false;
            }
        }
        if ((this.scope != null) && (terminalCapabilityScope.scope != null)) {
            if(!(this.scope.equals(terminalCapabilityScope.scope)))  {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // TerminalCapabilityScope

