//Source file: TriggeredTerminalCapabilityReportErrEvent.java
//Date: March 2007
//Terminal Capability Interfaces and Data Types for 3GPP TS 29.198-07 V7.0.0

package org.csapi.jr.se.termcap;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the triggeredTerminalCapabilityReportErr() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class TriggeredTerminalCapabilityReportErrEvent extends java.util.EventObject {

    /**
     * Constructor for the TriggeredTerminalCapabilityReportErrEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public TriggeredTerminalCapabilityReportErrEvent(java.lang.Object source,
        org.csapi.jr.se.Address[] terminals,
        org.csapi.jr.se.termcap.TerminalCapabilitiesError cause) {

        super(source);
      this.terminals = terminals;
      this.cause = cause;
 
    }

    org.csapi.jr.se.Address[] terminals;

    /**
     *  This method is used to retrieve the parameter value of 'terminals' passed up
     *  from the Gateway in it's call to the triggeredTerminalCapabilityReportErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'terminals' used on creation of this event.
     */
    public org.csapi.jr.se.Address[] getTerminals() {

        return this.terminals;
    }
       
    org.csapi.jr.se.termcap.TerminalCapabilitiesError cause;

    /**
     *  This method is used to retrieve the parameter value of 'cause' passed up
     *  from the Gateway in it's call to the triggeredTerminalCapabilityReportErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'cause' used on creation of this event.
     */
    public org.csapi.jr.se.termcap.TerminalCapabilitiesError getCause() {

        return this.cause;
    }
       
}

